package com.caimei.model.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * cm_discern_receipt
 * @author 
 */
@Data
public class CmDiscernReceiptPo implements Serializable {
    private Long id;

    /**
     * 用户付款方式：1线上，2线下，3余额抵扣
     */
    private String payWay;

    /**
     * 付款类型：1建设银行7297、2广发银行0115、3中信银行7172、4中信银行0897、5中信银行0897-财付通、6中信银行0897-支付宝、7线上-支付宝、8线上-微信支付、9线上-快钱支付、10口头返佣、11广发银行5461、12PC-B2B网银、13PC-微信支付、14PC-支付宝、15小程序-微信支付、16余额抵扣、17PC-B2C网银
     */
    private String payType;

    /**
     * 收款款项类型：1订单款，2非订单款，3返佣款
     */
    private String receiptType;

    /**
     * 收款状态：1待确认、2已确认(待审核)、3审核通过、4审核未通过、5收款撤销【订单款项状态:12345】【非订单款项状态:125】【返佣款状态:125】【线上支付成功为审核通过】
     */
    private String receiptStatus;

    /**
     * 短信内容
     */
    private String smsContent;

    /**
     * 短信内容Md5加密串（适用于二次短信匹配查询）
     */
    private String smsMd5Code;

    /**
     * 短信订单标识内容（适用打款备注订单Id）
     */
    private String orderFlag;

    /**
     * 收款金额（线上一次性付款和支付金额一致）
     */
    private BigDecimal receiptAmount;

    /**
     * 手续费(个别银行存在手续费)
     */
    private BigDecimal handlingFee;

    /**
     * 确认订单类型：1小额抹平确认，2大额抹平确认，3大额退款余额，4确认关联（线上支付默认为4）
     */
    private String confirmType;

    /**
     * 收款人权限ID(对应receipt_user_permission表)
     */
    private Integer receiptUserPermissionID;

    /**
     * 确认人权限ID(对应receipt_user_permission表)
     */
    private Long confirmUserPermissionID;

    /**
     * 审核人权限ID(对应receipt_user_permission表)
     */
    private Long reviewUserPermissionID;

    /**
     * 撤销人ID(对应sys_user表)
     */
    private Long cancelUserPermissionID;

    /**
     * 交易号--[线上字段]
     */
    private String transactionNum;

    /**
     * 银行Id--[线上字段]
     */
    private Integer bankID;

    /**
     * 银行卡号--[线上字段]
     */
    private String bankCode;

    /**
     * 快钱支付类型ID--[线上字段]
     */
    private Integer kuaiQianPayTypeID;

    /**
     * 块钱支付ID--[线上字段]
     */
    private Integer kuaiQianPayerID;

    /**
     * 支付状态 1支付成功--[线上字段]
     */
    private String rePayFlag;

    /**
     * 支付金额(可能废弃如果只需要一个支付就使用receiptAmount)--[线上字段]
     */
    private Double actualAmount;

    /**
     * 支付回调返回数据--[线上字段]
     */
    private String formData;

    /**
     * 支付问题--[线上字段]
     */
    private String problem;

    /**
     * 非订单款说明(适用协销确认的时候区分订单和非订单款)
     */
    private String noOrderReason;

    /**
     * 抹平备注（目前适用后台直接抹平账户操作）
     */
    private String balanceAccountsRemark;

    /**
     * 返佣关联备注
     */
    private String rebateRemarks;

    /**
     * 审核不通过原因
     */
    private String reviewReason;

    /**
     * 撤销原因
     */
    private String cancelReason;

    /**
     * 收款时间
     */
    private String receiptDate;

    /**
     * 确认时间
     */
    private String confirmDate;

    /**
     * 审核时间
     */
    private String reviewDate;

    /**
     * 撤销时间
     */
    private String cancelDate;

    /**
     * 更新操作时间
     */
    private String updateDate;

    /**
     * 作废标记 0 否，其余是
     */
    private String delFlag;

    private static final long serialVersionUID = 1L;
}