package com.caimei.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/24
 */
@Data
public class CartProductVo implements Serializable {
    /**
     * 购物车id
     */
    private Integer cartId;

    /**
     * 供应商id
     */
    private Integer shopId;

    /**
     * 商品Id
     */
    private Integer productId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品图片
     */
    private String mainImage;

    /**
     * 机构价
     */
    private BigDecimal price;

    /**
     * 规格
     */
    private String unit;

    /**
     * 起订量
     */
    private Integer minBuyNumber;

    /**
     * 是否含税   0不含税，1含税，2未知
     */
    private String includedTax;

    /**
     * 发票类型(基于是否含税基础)   1增值税票，2普通票, 3不能开票
     */
    private String invoiceType;

    /**
     * 开票税点(基于不含税基础) :增值税默认13%，普通票6%取值范围[0-100]
     */
    private BigDecimal clubTaxPoint;

    /**
     * 活动状态:0没有活动,1活动价
     */
    private Integer activeStatus = 0;

    /**
     * 商品数量
     */
    private Integer productCount;

    /**
     * 分销者id
     */
    private Integer heUserId;

    /**
     * 前端选中状态
     */
    private boolean productsChecked = false;

    /**
     * 活动阶梯数据
     */
    private List<ActivityLadderVo> ladderList;
}

