package com.caimei.task;

import com.caimei.service.PayOrderService;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * Description
 * 延时分账定时器
 *
 * @author : plf
 * @date : 2021/3/3
 */
@Component
@EnableScheduling
public class SplitAccountTask {
    @Resource
    private PayOrderService payOrderService;

    /**
     * 延时分账,每一小时执行一次
     */
    @Scheduled(cron = "0 0 * * * ?")
    //@Scheduled(cron = "0 */1 * * * ?")
    public void delayedSplitting() {
        payOrderService.delayedSplitting();
    }
}
